tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pieter Temmerman <ptemmerman....@sadiel.es>
Subject Re: Hello
Date Fri, 13 Feb 2009 09:18:30 GMT
Luckily I'm not a windows user, because all of this seems rather
confusing to me.

On Fri, 2009-02-13 at 09:25 +0100, André Warnier wrote:
> So apparently, I did end up make it more complicated than it is.
> 
> Caldarale, Charles R wrote:
> >> From: André Warnier [mailto:aw@ice-sa.com]
> >> Subject: Re: Hello
> >>
> >> Vista 32-bit -> 32-bit Java JDK or JRE
> >> Vista 64-bit -> 64-bit Java JDK or JRE
> > 
> > Not necessarily true.  I run both 32- and 64-bit versions of the JVM on my Vista
64 box, because some browsers only come in 32-bit versions and therefore need the 32-bit plugin
to run applets.
> Allright, good to know.
> 
> > 
> >> For a 64-bit Vista, we first tried the Service Installer. It installed
> >> properly, but we could not get it to run.
> > 
> > That depends on the JRE/JDK installed.
>    To use the tomcat6.exe program that's included with the .zip and .exe 
> downloads,
>   you must associate it with a 32-bit JVM - even on a 64-bit platform.
> I understand that, but how would a newbie understand this ?
> 
> > 
> >> So we removed the 64-bit Service Installer
> > 
> > There is no 64-bit service installer.
> Sorry, typo. Should have been "the Service Installer", tout court.
> 
> > 
> >> To make it work, we had to download 2 additional files
> >> (tomcat5.exe and tomcat5w.exe), rename them respectively
> >> to tomcat6.exe and tomcat6w.exe, and (I think) rerun the
> >> service.bat script.
> > 
> > What you downloaded was the 64-bit versions, necessary to run Tomcat as a service
>   with a 64-bit JVM.
> Same remark as the newbie one above.
> 
> It should not be necessary to rerun the service.bat script.
> Ok, just wasn't sure.
> 
> > 
> >> We downloaded them from here :
> >> http://svn.apache.org/repos/asf/tomcat/connectors/trunk/procrun/bin/
> >> Oh, and there are 2 versions of each of the above files, depending on
> >> whether your CPU is an Intel-64 or an AMD-64.
> > 
> > Not correct.  Use the AMD64 version, which applies to current 64-bit chips from
both AMD and Intel; the IA64 version is for an older Intel 64-bit architecture which has pretty
much been killed off (just not soon enough for those of us that had to use it).
> > 
> I didn't know that. But who (other than an expert) would know that, 
> looking at those links alone ?
> 
> I believe that this definitely needs at least a HowTo on the Tomcat 
> site.  I'll get to it.
> Unfortunately, I think that the current structure of the downloadable 
> versions does not make this really easy to explain.
> I posted another message a couple of days ago that asked why these 
> 64-bit versions of tomcat.exe and tomcatw.exe were not just included in 
> the zip version.  Any idea of the reason ?
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: users-help@tomcat.apache.org
> 
-- 
Pieter Temmerman
email: ptemmerman.ext@sadiel.es
skype: ptemmerman.sadiel

SADIEL TECNOLOGÍAS DE LA INFORMACIÓN, S.A. http://www.sadiel.es.




---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message